Program z8;
Var i, x: Integer;
 y,s : Real;
Begin
 x:=2; s:=x*x;
 y:=s +256/s;  i:=256 div 2;
 While i<>1 Do
   Begin
      y:=s + i/y; 
      i:=i Div 2;
   End;
 y:=x/y; 
 WriteLn('z8  y=', y:2:6);
End.